<?php
include($_SERVER['DOCUMENT_ROOT'].'/_configs/conecta.php' );
include($_SERVER['DOCUMENT_ROOT'].'/_configs/conecta2.php' );
?>
		<?php
                        $idCliente = $_SESSION["codigo"];
                        $idEmpresa = ("1");
                        $numpedido = $_GET["numPedido"];
                        $idData = 1;
                        $idDataParent = 1;

			$queryFamilia = ("SELECT DISTINCT familia.codfamilia,desfamilia FROM familia,articulo where familia.codfamilia=articulo.codfamilia and familia.codfamilia <> 'AL' and familia.codfamilia <> 'XX' ORDER BY desfamilia;");
			$resultado = odbc_exec($conexion_mercafruit,$queryFamilia );



			echo "
<div data-role='header' data-type='horizontal' data-position='fixed' data-theme='b'>
<a href='javascript:limpiaPedido()' data-role='button' data-theme='c' title='Borrar' class='ui-btn ui-btn-icon-notext ui-icon-delete'></a>
";
if (floatval($por_client) <  39.99) {
    echo '<div style ="width: 20px; height: 20px; -moz-border-radius: 50%; -webkit-border-radius: 50%; border-radius: 50%; background: #ff0000 ;margin: 60px; top : -51px;" class="ui-btn-down-c ui-btn-right"></div>';
}else {
	if (floatval($por_client) <  49.99) {
	    echo '<div style ="width: 20px; height: 20px; -moz-border-radius: 50%; -webkit-border-radius: 50%; border-radius: 50%; background: #ff8000;margin: 60px; top : -51px;" class="ui-btn-down-c ui-btn-right"></div>';
	}else {
		if (floatval($por_client) <  69.99) {
		    echo '<div style ="width: 20px; height: 20px; -moz-border-radius: 50%; -webkit-border-radius: 50%; border-radius: 50%; background: #00ff00;margin: 60px; top : -51px;" class="ui-btn-down-c ui-btn-right"></div>';
		}else {
		    echo '<div style ="width: 20px; height: 20px; -moz-border-radius: 50%; -webkit-border-radius: 50%; border-radius: 50%; background: #ffff00;margin: 60px; top : -51px;" class="ui-btn-down-c ui-btn-right"></div>';
		}
	}
} 

echo "
<a href='javascript:confirmaPedido()' data-role='button' data-theme='c' title='Comprar' class='ui-btn ui-btn-icon-notext ui-icon-shop'></a>
</div>
<div data-role='collapsible-set'>";

			// comienza un bucle que leera todos los registros y ejecutara las ordenes que siguen
			echo "<button class=\"active btn\" id=\"all\">Todos</button>";
			while ($productosFamilia = odbc_fetch_array($resultado)) { 
				$productosFamilia['codfamilia'] = str_replace ('\xef\xbf\xbd','&Ntilde;', $productosFamilia['codfamilia']);
				echo"<button class=\"btn\" id=\"".$productosFamilia['codfamilia']."\">".$productosFamilia['desfamilia']."</button>";
			}
			echo "<div id=\"parent\">";	
				while ($productosFamilia = odbc_fetch_array($resultado)) { 
				/****/
				echo "<div class=\"box ".$productosFamilia['codfamilia']."\">";
            
                $idDataParent= $idData ;
				$idData++;
				$contengan=chr(209);
				//DETALLE
				$queryArtFam = ("SELECT DISTINCT catalogo.codart codart,catalogo.desccatalogo descart,catalogo.codref codref, catalogo.codcatalogo FROM articulo,catalogo where 
						CATALOGO.CODART  NOT LIKE '%".$contengan."%'  AND 
						catalogo.activo='S' AND articulo.codart = catalogo.codart AND codsubfam <> 'DE' AND  codfamilia='".$productosFamilia['codfamilia']."'  ORDER BY desccatalogo ;");
				$resArtFam = odbc_exec($conexion_mercafruit,$queryArtFam );
				echo "<ul id='ui_lista_articulos' style ='list-style: none;border-left:black 1px solid;border-right:black 1px solid;border-top:black 1px solid;border-bottom:black 1px solid;padding:1px,0px,0px,1px;'>";
				while ($productosArtFam = odbc_fetch_array($resArtFam)) { 
					echo "<li><img src =\"img/".$productosArtFam['codart'].".jpg\" width='100' height='100'></li>";
					echo "<li id='descart'>".$productosArtFam['descart']."</li>";
					echo "<li id='cantidad'><input  type = 'number' value  id='v_".$productosArtFam['codart']."|".$productosArtFam['codref']."|".$productosArtFam['codcatalogo']."' min=0 max=99 step=1 ></li>";
					echo "<li><select id='o_".$productosArtFam['codart']."|".$productosArtFam['codref']."|".$productosArtFam['codcatalogo']."' class='selector'>
								<option value = '' selected='selected'></option>
								<option value = 'MEDIA' >MEDIA</option>
								<option value = 'VERDE'>VERDE</option>
								<option value = 'MADURO'>MADURO</option>
								<option value = 'PEDIDO'>PEDIDO</option>
								<option value = 'CAJAGRANDE'>CAJA GRANDE</option>
								<option value = 'CAJAPEQUENA'>CAJA PEQUE&Ntilde;A</option>
								</select> </li>";
				}
				echo "</ul>";
				echo "</div>";	 
				}
			echo "</div>"	;
				odbc_free_result ($resArtFam);
				
echo "</div>";



//F DETALLE 

			} // fin del bucle de ordenes
                        odbc_free_result($resultado); 
							
			//cerramos la etiqueta tabla
echo "</div>";

		?>
